This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 991038 - lacks history rollback
lacks history rollback
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Holy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 871892
  Show dependency treegraph
 
Reported: 2013-08-01 09:04 EDT by Neal Becker
Modified: 2015-10-05 22:14 EDT (History)
6 users (show)

See Also:
Fixed In Version: dnf-0.4.9-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 21:45:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2013-08-01 09:04:23 EDT
Description of problem:

dnf lacks a history rollback.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Ales Kozumplik 2013-08-02 01:43:16 EDT
Related: bug 878348 (history undo support missing). Low priority for now, the support is planned.
Comment 2 Radek Holy 2013-11-25 03:41:46 EST
Fixed by dad9d35c88daf418593cfb104e91cea61f41ebd8 on master.
Comment 3 Fedora Update System 2013-12-03 11:39:51 EST
dnf-0.4.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.9-1.fc20
Comment 4 Fedora Update System 2013-12-03 13:20:37 EST
Package dnf-0.4.9-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.9-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22638/dnf-0.4.9-1.fc20
then log in and leave karma (feedback).
Comment 5 lnie 2013-12-04 23:52:59 EST
I'm able to do dnf history rollback now.But,as shown in 1038403, there is sth wrong.
Comment 6 Radek Holy 2013-12-06 03:27:37 EST
Hello, thank you for the report. That is my fault. It does not expect a package being available in more than one repo. I am going to fix it.
Comment 7 Fedora Update System 2013-12-13 21:45:15 EST
dnf-0.4.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.